
QGIS Application - Bug report #9532

Node tool causes crash

2014-02-10 12:19 PM - Harry Bar

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18121

Description

I am creating maps of a city with roads, buildings, lots etc. Snapping on 4. When using the node tool QGIS crashes quite often when

small changes are made to align a building with a lot. After crashing and restarting, the same action will cause another crash. When

making bigger movements and then moving to the desired place there is no problem.

Associated revisions

Revision d7379ca1 - 2014-04-15 08:16 PM - Martin Dobias

Fix #9532 (node tool crash on a layer with a feature without geometry)

History

#1 - 2014-02-10 02:39 PM - Jürgen Fischer

- Category changed from Map Composer/Printing to Digitising

#2 - 2014-02-10 02:39 PM - Jürgen Fischer

- Subject changed from Note tool causes crash to Node tool causes crash

#3 - 2014-02-15 05:10 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Target version changed from Version 2.0.0 to Version 2.2

Sample data/project (and a screencast in this case) would help a lot try replicate this issue on other computers.

#4 - 2014-03-01 12:35 AM - Alexander Bruy

Maybe related to #9683

#5 - 2014-03-01 04:19 AM - Giovanni Manghi

- Resolution set to duplicate

Alexander Bruy wrote:
Maybe related to #9683

anyway I'm closing this for lack of feedback, the original reporter can reopen this if he thinks it is not the same as #9683

#6 - 2014-03-04 09:31 AM - Dan Piggott

Hi, I'm encountering what might be the same problem.  I'm on Windows 7 with QGIS 2.0.1 and having frequent crashes when using the node tool.  The

problem occurs when trying to add new nodes to an existing line or polygon, and when trying to move existing nodes.  I can add one node, but QGIS will

crash with a "crash dumped" error message if I try to add a second node.  I can sometimes move two or three existing nodes, but then the crash happens.

I've found that saving the layer between each new node or move will stop it crashing with the "crash dumped" message.  However, the frequent saving then

causes QGIS to hang and I have to shut it down and re-open it.

I've tried disabling all plugins and the issue still occurs.  I'm new to QGIS and this site, etc. so apologies if I've missed any information you require.  If I can

help further just give us a shout.

Cheers, Dan

#7 - 2014-03-05 12:30 AM - Giovanni Manghi

Dan Piggott wrote:

Hi, I'm encountering what might be the same problem.  I'm on Windows 7 with QGIS 2.0.1 and having frequent crashes when using the node tool. 

The problem occurs when trying to add new nodes to an existing line or polygon, and when trying to move existing nodes.  I can add one node, but

QGIS will crash with a "crash dumped" error message if I try to add a second node.  I can sometimes move two or three existing nodes, but then the

crash happens.

I've found that saving the layer between each new node or move will stop it crashing with the "crash dumped" message.  However, the frequent

saving then causes QGIS to hang and I have to shut it down and re-open it.

I've tried disabling all plugins and the issue still occurs.  I'm new to QGIS and this site, etc. so apologies if I've missed any information you require. 

If I can help further just give us a shout.

Cheers, Dan

Can you please test also qgis 2.2 and master too? you can install them both using the osgeo4w installer.

If you can replicate the issue with them please add a small dataset and precise steps on how replicate the issue, this would be very useful.

cheers!

#8 - 2014-03-06 01:31 AM - Dan Piggott

- File node_tool_crash_dataset.zip added

Hi,

I've just got the 2.2 update and unfortunately the crash is still happening.  I'm afraid I haven't been able to try the master yet (it's hard to get admin access
here).  I've attached a sample layer for you, which I've tried opening on it's own (it's part of a project I'm working on).  If I select the node tool I can add one

node to the region edges, but attempting a second will cause the crash.  As I say, I've tried it with and without plugins enabled.  Let me know if you need

any more info!

Cheers,

Dan

#9 - 2014-03-30 04:04 PM - Giovanni Manghi

- Target version changed from Version 2.2 to Version 2.4

- Affected QGIS version changed from 2.0.1 to master

- Operating System deleted (Windows 32)

- OS version deleted (Windows 7 Ultimate)

crash confirmed on master/linux

giovanni@sibirica ~ $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

***************** deactivate parallellinetool

***************** deactivate circulararctool

***************** deactivate modifycirculararctool

***************** deactivate parallellinetool

***************** deactivate circulararctool

***************** deactivate modifycirculararctool

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7f85e7fff700 (LWP 11552)]

[New Thread 0x7f85e77fe700 (LWP 11551)]

[New Thread 0x7f85ef5f8700 (LWP 11550)]

[New Thread 0x7f85e618a700 (LWP 11549)]

[New Thread 0x7f85effff700 (LWP 11428)]

[New Thread 0x7f85f5428700 (LWP 11427)]

0x00007f862bb90ccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7f8632eaa7c0 (LWP 11416))]

#0  0x00007f862bb90ccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00000000004f4f60 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No symbol table info available.

#3  0x00007f862f7a617c in QgsGeometry::QgsGeometry(QgsGeometry const&) () from /usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#4  0x000000000065d9be in QgsSelectedFeature::updateGeometry(QgsGeometry*) ()

No symbol table info available.

#5  0x0000000000660222 in QgsSelectedFeature::createVertexMap() ()

No symbol table info available.

#6  0x0000000000660631 in QgsSelectedFeature::replaceVertexMap() ()

No symbol table info available.

#7  0x000000000065ce47 in QgsMapToolNodeTool::canvasReleaseEvent(QMouseEvent*) ()

No symbol table info available.

#8  0x00007f862f1bc670 in QgsMapCanvas::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libqgis_gui.so.2.3.0
No symbol table info available.

#9  0x00007f862db4a144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#10 0x00007f862df0a3f6 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#11 0x00007f862e134b6b in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0x00007f862e777028 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#13 0x00007f862daf985f in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00007f862daff0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0x00007f862f741e06 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#16 0x00007f862e776e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#17 0x00007f862dafa862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0x00007f862db79c35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#19 0x00007f862db78bee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007f862dba2112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007f862a633d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#22 0x00007f862a634060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#23 0x00007f862a634124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#24 0x00007f862e7a63bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#25 0x00007f862dba1d9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007f862e775c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#27 0x00007f862e775ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#28 0x00007f862e77af67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#29 0x00000000004ef481 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

#10 - 2014-03-30 04:13 PM - Giovanni Manghi

2024-04-25 4/5



- Resolution deleted (duplicate)

Dan Piggott wrote:

Hi,

I've just got the 2.2 update and unfortunately the crash is still happening.  I'm afraid I haven't been able to try the master yet (it's hard to get admin

access here).  I've attached a sample layer for you, which I've tried opening on it's own (it's part of a project I'm working on).  If I select the node tool

I can add one node to the region edges, but attempting a second will cause the crash.  As I say, I've tried it with and without plugins enabled.  Let

me know if you need any more info!

Cheers,

Dan

there is something fishy in the shape you attached. Many other tools cannot handle it. But after a very soft clean with GRASS v.clean it all works ok...

#11 - 2014-04-15 11:19 AM - Martin Dobias

- Status changed from Feedback to Closed

Fixed in changeset commit:"d7379ca1abc723d5e643e8bb385abfed3529b74b".

#12 - 2014-04-15 12:10 PM - Martin Dobias

Also applied to 2.2 branch commit:11deb002b1b2addcb8417194451ff52f6e1396ee

Files

node_tool_crash_dataset.zip 3.65 KB 2014-03-06 Dan Piggott
